// file : QuaternionOutputWindow.cpp

#include "QuaternionOutputWindow.h"

QuaternionOutputWindow::QuaternionOutputWindow(BRect border) :
	BWindow( border, "Output", B_BORDERED_WINDOW, B_NOT_RESIZABLE )
{
	BRect aRect( 0, 0, border.right - border.left, border.bottom - border.top );
	theView = new QuaternionOutputView( aRect );
	AddChild( theView );
}

void QuaternionOutputWindow::render( QuaternionDescriptor *aDescriptor )
{
	theView->render( aDescriptor );
}
