// file : Box3d.h

#ifndef box3d_h_included
#define box3d_h_included

#include "Point3d.h"

class Box3d
{
public:
	Box3d();
	Box3d( Box3d& s );
	Box3d(float minx, float maxx, float miny, float maxy, float minz, float maxz);
	Point3d operator / ( float d ) const;
	Point3d center() const;
// variables
	Point3d min;
	Point3d max;

};

// semi-friends
Point3d operator/( Box3d const &s, Point3d const &d );

#endif // Box3d_h_included