// file : QuaternionOutputView

#ifndef quaternionoutputview_h_included
#define quaternionoutputview_h_included

#include <be/interface/Bitmap.h>
#include <be/interface/View.h>
#include "QuaternionRenderer.h"

class QuaternionOutputView : public BView
{
public:
	QuaternionOutputView(BRect aRect);
	~QuaternionOutputView();
	BBitmap *theBitmap;
	void render ( QuaternionDescriptor *aDescriptor );
	virtual void Draw( BRect rect );
	
private:
	QuaternionRenderer theRenderer;
	virtual void Pulse();
	bool needsUpdate;
	int size;
};

#endif